Create app profile
POST /api/v1/appprofiles. App profiles API reference.
Create app profile
Authentication · API availability · Download OpenAPI
A successful response.Bad Request. The API gateway did not process the request because of missing parameter or invalid value of parameters.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have application level access permission for the operation or does not have access scope to the project.Conflict. The API gateway did not process the request because this app profile record will conflict with an already existing app profile record.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Body
application/json
unique id for an App profile
user defined name for the App profile
user defined title for the app profile
list of app instance policies
list of network instance policies
list of volume instance policies
latest version of app profile. Server-derived; value supplied in a create or update request is ignored
status of the app profile. Server-derived; value supplied in a create or update request is ignored
Available options:
APP_PROFILE_STATUS_TYPE_INACTIVE, APP_PROFILE_STATUS_TYPE_ACTIVE Response
A successful response.
Available options:
OPS_TYPE_UNSPECIFIED, OPS_TYPE_READ, OPS_TYPE_DELETE, OPS_TYPE_CREATE, OPS_TYPE_UPDATE, OPS_TYPE_LIST - OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
- OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
- OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
Available options:
OPS_STATUS_UNSPECIFIED, OPS_STATUS_PENDING, OPS_STATUS_ONGOING, OPS_STATUS_COMPLETE Available options:
OBJECT_TYPE_UNSPECIFIED, OBJECT_TYPE_USER, OBJECT_TYPE_EDGE_NODE, OBJECT_TYPE_EDGE_APP, OBJECT_TYPE_IMAGE, OBJECT_TYPE_EDGE_APP_INSTANCE, OBJECT_TYPE_PROJECT, OBJECT_TYPE_NETWORK, OBJECT_TYPE_DATASTORE, OBJECT_TYPE_SERVICE, OBJECT_TYPE_SERVICE_INSTANCE, OBJECT_TYPE_ENTERPRISE, OBJECT_TYPE_ROLE, OBJECT_TYPE_CREDENTIAL, OBJECT_TYPE_NETWORK_INSTANCE, OBJECT_TYPE_VOLUME_INSTANCE, OBJECT_TYPE_REALM, OBJECT_TYPE_AUTHPROFILE, OBJECT_TYPE_POLICY, OBJECT_TYPE_APP_POLICY, OBJECT_TYPE_CLUSTER_INSTANCE, OBJECT_TYPE_PLUGIN, OBJECT_TYPE_DOC_POLICY, OBJECT_TYPE_ORCHESTRATOR_CLUSTER, OBJECT_TYPE_TAGS, OBJECT_TYPE_EDGE_NODE_INTERFACE, OBJECT_TYPE_DEPLOYMENT, OBJECT_TYPE_ENTITLEMENTS, OBJECT_TYPE_DATA_STREAM, OBJECT_TYPE_API_USAGE, OBJECT_TYPE_APP_INSTANCE_SNAPSHOT, OBJECT_TYPE_PATCH_ENVELOPE, OBJECT_TYPE_RESOURCE_USAGE_TRACK, OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE, OBJECT_TYPE_DEV_PASSTHROUGH, OBJECT_TYPE_EDGE_NODE_CLUSTER, OBJECT_TYPE_ASSET_GROUP, OBJECT_TYPE_APP_PROFILE, OBJECT_TYPE_PROFILE_DEPLOYMENT, OBJECT_TYPE_ZKS_INSTANCE, OBJECT_TYPE_CLUSTER_GROUP